# Interface for submodule: UserEvent
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate


# Interface for class: UserEvent
from ._proxies import UserEventProxy as _UserEventProxy
class _UserEventTemplate(_itkTemplate):
    """Interface for instantiating itk::UserEvent"""

    def __new__(cls, *args: Any) -> _UserEventProxy:
        """Instantiate itk::UserEvent"""
        ...

    def __call__(self, *args: Any) -> _UserEventProxy:
        """Instantiate itk::UserEvent"""
        ...

UserEvent = _UserEventTemplate

